Le manuel de aRts
Précédent | Chapitre 2. Outils de aRts | Suivant

# 2.6. artsdsp

Le serveur de son ne gère que les applications compatibles avec aRts. Beaucoup d'applications héritées accèdent directement au périphérique son. La commande artsdsp fournit une solution intermédiaire qui permet à la plupart de ces applications de fonctionner sans changements.

Lorsqu'une application est exécutée sous artsdsp, tous les accès au périphérique audio `/dev/dsp` sont interceptés et transformés en appels aux API de aRts. Cette émulation n'est pas parfaite, mais la plupart des applications fonctionnent de cette manière, avec une diminution des performances et des coupures.

La commande artsdsp s'utilise comme suit :

artsdsp [`options`] `arguments`

Les options suivantes sont disponibles :

`-h`, `--help`

  De l'aide succinte.

`-n` `--name` = `nom`

  Utilisez `nom` pour identifier le lecteur auprès de artsd.

`-m` `--mmap`

  Émule le memory mapping (par exemple pour Quake).

`-v` `--verbose`

  Affiche des paramètres.

Une invocation typique serait :

`artsdsp `-v` `-m realplay `song.mp3```

Certaines applications fonctionnent mieux avec l'option `--mmap`. Les caractéristiques du périphérique sonore ne sont pas toutes émulées, mais la plupart des applications devrait fonctionner. Si vous trouvez une application qui ne fonctionne pas, envoyez un rapport de bogue détaillé et le développeur devrait être en mesure de régler le problème. Encore une fois, souvenez-vous que c'est une solution intermédiaire et peu élégante, la meilleure solution serait d'ajouter la gestion native de aRts dans les applications multimédia. Si votre application favorite ne reconnaît pas aRts, demandez au développeur d'y ajouter cette gestion.

Précédent | Sommaire | Suivant
artsplay | Niveau supérieur | artscat